Attribute VB_Name = "modOffsetVolts"
Option Explicit

'11-30-16
Public Function CheckAppDirOffsetFile() As Boolean
    Dim strOffsetFileName As String
    Dim fOffsetFile As Long
    Dim lFileLen As Long: lFileLen = 0
    Dim iRetVal As Long
    Dim bMsgBoxRetTypeYES As Long: bMsgBoxRetTypeYES = 6
    strOffsetFileName = "CHOffset.cal"
    
    On Error GoTo CAL_FILE_NOT_PRESENT
    lFileLen = FileLen("CHOffset.cal")
    
    '11-28-16 if I got this far CHOffset.cal exists, so just exit success
    CheckAppDirOffsetFile = True
    Exit Function
    
'see if .ini file in Windows folder, if so, copy to app folder to new file called CHOffset.cal then
' check for it's length. If that throws an exception, create the file.
CAL_FILE_NOT_PRESENT:
    On Error GoTo DO_FILE_OPEN 'neither .INI file nor .CAL file are present so create .CAL file.
    If Dir(Environ$("windir") & "\CHOffset.ini") <> "" Then
        FileCopy Environ$("windir") & "\CHOffset.ini", App.Path & "\CHOffset.cal"
    End If
    'MsgBox " file copy SUCCESS "
    On Error GoTo DO_FILE_OPEN 'neither .INI file nor .CAL file are present so create .CAL file.
    lFileLen = FileLen("CHOffset.cal") '.CAL file copied to app folder from .INI in Win folder so exit success.
    CheckAppDirOffsetFile = True
    Exit Function 'file copy success, so done
    

DO_FILE_OPEN: 'neither old CHOffset present, nor new CHOffset.cal present - create CHOffset.cal
    On Error GoTo FILE_OPEN_ERR
    Open strOffsetFileName For Output As #1  'this will create file if not present, or throw an exception
    'MsgBox " file open SUCCESS "
    Close #1
    CheckAppDirOffsetFile = True '.CAL file created so exit success
    Exit Function
    
FILE_OPEN_ERR:
    MsgBox " file create/open FAILED "
    CheckAppDirOffsetFile = False
    Exit Function

End Function
'11-23-16
Public Function ReadAppDirOffsetFile() As Boolean
    If CheckAppDirOffsetFile = False Then
        MsgBox vbCrLf & "Could either not create CHOffset in application folder" & vbCrLf & _
        "nor copy an existing CHOffset.ini file from Windows folder" & vbCrLf & vbCrLf & _
        "You may need to close application and use option to 'Run as Administrator' to" & vbCrLf & _
        " perform this function" & vbCrLf & vbCrLf
        ReadAppDirOffsetFile = False
        Exit Function
    End If
    'write the CHOffset.cal file
    
    Dim strOffsetFileName As String
    Dim fOffsetFile As Long
    Dim strFoundStartAt As Long
    Dim ptrCurIndex As Long: ptrCurIndex = 1
    Dim lFileLen As Long: lFileLen = 0
    Dim iRetVal As Long
    Dim bMsgBoxRetTypeYES As Long: bMsgBoxRetTypeYES = 6
    strOffsetFileName = "CHOffset.cal"
    
    On Error GoTo EXIT_ERR
    fOffsetFile = FreeFile(2)
    Open strOffsetFileName For Input As #fOffsetFile
    Dim miscVar
    Dim FileSize As Long
    Dim strChanInfo As String
    Dim sSubStr As String
    
    Do While Not EOF(fOffsetFile)
        miscVar = Input(1, #fOffsetFile)
        FileSize = FileSize + 1
    Loop
    Close #fOffsetFile
    Open strOffsetFileName For Input As #fOffsetFile
    Do While Not EOF(fOffsetFile)
        strChanInfo = Input(FileSize, #fOffsetFile)
    Loop
    Close #fOffsetFile
    
    Dim bMainChan, bSubChan As Byte
    Dim searchString As String
    Dim voltVal As Double
    
'    For bMainChan = 0 To 5
'        searchString = bMainChan & "]"
'        strFoundStartAt = InStr(ptrCurIndex, UCase(strChanInfo), searchString, vbTextCompare)
'        If strFoundStartAt <> 0 Then
'            For bSubChan = 0 To 15
'                searchString = bSubChan & "="
'                'MsgBox searchString
'                strFoundStartAt = InStr(ptrCurIndex + strFoundStartAt, UCase(strChanInfo), searchString, vbTextCompare)
'                If strFoundStartAt <> 0 Then
'                    'sSubStr = Mid(strChanInfo, strFoundStartAt + Len(CStr(bSubChan)) + 1, 9)
'                    sSubStr = Mid(strChanInfo, strFoundStartAt + Len(CStr(bSubChan)) + 1, 7)
'                    voltVal = CDbl(sSubStr)
'                    dblOffsetVoltages(bMainChan, bSubChan) = voltVal
'                    'MsgBox "found " & sSubStr
'                End If
'            Next
'        End If
'    Next
    
    
    Dim bValLength As Byte: bValLength = 12 'allow 1-12 digits in case someone manually edits the file and messes up format
    For bMainChan = 0 To 5
        searchString = bMainChan & "]"
        strFoundStartAt = InStr(ptrCurIndex, UCase(strChanInfo), searchString, vbTextCompare)
        If strFoundStartAt <> 0 Then
            For bSubChan = 0 To 15
                searchString = bSubChan & "="
                'MsgBox searchString
                strFoundStartAt = InStr(ptrCurIndex + strFoundStartAt, UCase(strChanInfo), searchString, vbTextCompare)
                If strFoundStartAt <> 0 Then
                    'sSubStr = Mid(strChanInfo, strFoundStartAt + Len(CStr(bSubChan)) + 1, 9)
'NOTE: the following allows for various length entries in CHOffset.cal, such as if a user enters a value
' will work with entries as long as 12 numbers, or just 1 number such as the voltage value 0, 5, 2, etc
TRY_AGAIN:
                    sSubStr = Mid(strChanInfo, strFoundStartAt + Len(CStr(bSubChan)) + 1, bValLength)
                    If IsNumeric(sSubStr) = False Then GoTo LESS_OFFSET
                    On Error GoTo LESS_OFFSET
                    voltVal = CDbl(sSubStr)
                    dblOffsetVoltages(bMainChan, bSubChan) = voltVal
                    GoTo CONTINUE
LESS_OFFSET:
                    If bValLength = 0 Then
                        MsgBox " Incorrect file format " & vbCrLf
                        ReadAppDirOffsetFile = False
                        Exit Function
                    End If
                    bValLength = bValLength - 1
                    GoTo TRY_AGAIN:
CONTINUE:
                    bValLength = 12  '12 digits is plenty long!
                    'MsgBox "found " & sSubStr
                End If
            Next
        End If
    Next
    
    ReadAppDirOffsetFile = True
    Exit Function
    

EXIT_ERR:
    MsgBox " file create/open FAILED "
    ReadAppDirOffsetFile = False
    Exit Function
End Function

'12-9-16b
Public Function WriteNewAppDirOffsetFile() As Boolean
    'write the CHOffset.cal file
    
    Dim strOffsetFileName As String
    Dim fOffsetFile As Long
    Dim lFileLen As Long: lFileLen = 0
    Dim iRetVal As Long
    Dim bMsgBoxRetTypeYES As Long: bMsgBoxRetTypeYES = 6
    strOffsetFileName = "CHOffset.cal"
    
    On Error GoTo EXIT_ERR
    fOffsetFile = FreeFile(2)
    Open strOffsetFileName For Output As #fOffsetFile
    
    Dim bIndexOuter, bIndexInner As Byte
    
    For bIndexOuter = 0 To 5
        Print #fOffsetFile, "": Print #fOffsetFile, ""
        Print #fOffsetFile, "[" & "CHAN" & bIndexOuter & "]"
        For bIndexInner = 0 To 15
            Print #fOffsetFile, bIndexInner & "=" & Format$(0#, "#.00000")
        Next bIndexInner
    Next bIndexOuter
    Close #fOffsetFile
    WriteNewAppDirOffsetFile = True
    Exit Function
    
EXIT_ERR:
    MsgBox " file create/open FAILED "
    WriteNewAppDirOffsetFile = False
    Exit Function

End Function



'11-28-16
Public Function WriteAppDirOffsetFile() As Boolean
'TIM NOTE: following is done with first reading - write is never done without at least a read first
    If CheckAppDirOffsetFile = False Then
        MsgBox vbCrLf & "Could either not create CHOffset in application folder" & vbCrLf & _
        "nor copy an existing CHOffset.ini file from Windows folder" & vbCrLf & vbCrLf & _
        "You may need to close application and use option to 'Run as Administrator' to" & vbCrLf & _
        " perform this function" & vbCrLf & vbCrLf
        WriteAppDirOffsetFile = False
        Exit Function
    End If
    'write the CHOffset.cal file
    
    Dim strOffsetFileName As String
    Dim fOffsetFile As Long
    Dim lFileLen As Long: lFileLen = 0
    Dim iRetVal As Long
    Dim bMsgBoxRetTypeYES As Long: bMsgBoxRetTypeYES = 6
    strOffsetFileName = "CHOffset.cal"
    
    On Error GoTo EXIT_ERR
    fOffsetFile = FreeFile(2)
    Open strOffsetFileName For Output As #fOffsetFile
    
    Dim bIndexOuter, bIndexInner As Byte
    
    For bIndexOuter = 0 To 5
        Print #fOffsetFile, "": Print #fOffsetFile, ""
        Print #fOffsetFile, "[" & "CHAN" & bIndexOuter & "]"
        For bIndexInner = 0 To 15
            Print #fOffsetFile, bIndexInner & "=" & Format$(dblOffsetVoltages(bIndexOuter, bIndexInner), "#.00000")
        Next bIndexInner
    Next bIndexOuter
    Close #fOffsetFile
    WriteAppDirOffsetFile = True
    Exit Function
    
EXIT_ERR:
    MsgBox " file create/open FAILED "
    WriteAppDirOffsetFile = False
    Exit Function

End Function
'11-30-16 end of new procedures
'##############################


'Public Function copyCHoffsetIniToWinFolder()
'    Dim strFolder As String
'    Dim lngResult As Long
'    On Error GoTo EXIT_ERR
'    strFolder = String(MAX_PATH, 0)
'    lngResult = GetWindowsDirectory(strFolder, MAX_PATH)
'    If lngResult <> 0 Then
'        Shell ("CopyIni.bat")
'        copyCHoffsetIniToWinFolder = True
'    Else
'        copyCHoffsetIniToWinFolder = False
'    End If
'    Exit Function
'
'EXIT_ERR:
'    MsgBox vbCrLf & "Could not copy CHoffset.ini to Windows folder." _
'        & vbCrLf & vbCrLf & "CHoffset.ini should be in current application folder but doesn't seem to be.  " _
'        & vbCrLf & vbCrLf & "Please redownload archive from our website" & vbCrLf & vbCrLf
'    copyM30x_grfToWinFolder = False
'End Function
'Public Function CheckIniExist_CHoffsets() As Boolean
'    If Dir(Environ$("windir") & "\CHoffset.ini") <> "" Then
'        CheckIniExist_CHoffsets = True
'        Exit Function
'    Else
'        Dim copySuccess As Boolean
'        If copyCHoffsetIniToWinFolder() = False Then '5-19-14
'            MsgBox vbCrLf & "Could not copy CHoffset.ini to Windows folder." _
'            & vbCrLf & vbCrLf & "CHoffset.ini should be in current application folder." _
'            & vbCrLf & vbCrLf & "Please redownload archive from our website" & vbCrLf & vbCrLf
'            CheckIniExist_CHoffsets = False: Exit Function
'        End If
'    End If
'End Function
'Public Function ReadIniFileSpecs_CHoffsets() As Boolean
'    Dim lRetVal_LOCAL As Long
'    Dim bIndex As Byte
'    Dim strIniString As String: strIniString = String(32, vbNullChar)
'    Dim subChStr As String
'    Dim dblVoltsTemp As Double
'    Dim fAllOffsetsAreZero_TOM As Boolean: fAllOffsetsAreZero_TOM = True
'
'    If CheckIniExist_CHoffsets = False Then GoTo EXIT_ERR
'
'    On Error GoTo EXIT_ERR
'
'    If frmGraph_EMF16.chkSimplifiedMode.Value = vbUnchecked Then
'        For bIndex = 0 To 15
'            subChStr = bIndex
'            lRetVal_LOCAL = GetPrivateProfileString("CHAN0", subChStr, "", strIniString, 9, "CHoffset.ini")
'            dblOffsetVoltages(0, bIndex) = CDbl(strIniString)
'            If dblOffsetVoltages(0, bIndex) <> 0# Then fAllOffsetsAreZero_TOM = False
'        Next bIndex
'        For bIndex = 0 To 15
'            subChStr = bIndex
'            lRetVal_LOCAL = GetPrivateProfileString("CHAN1", subChStr, "", strIniString, 8, "CHoffset.ini")
'            dblOffsetVoltages(1, bIndex) = CDbl(strIniString)
'            If dblOffsetVoltages(1, bIndex) <> 0# Then fAllOffsetsAreZero_TOM = False
'        Next bIndex
'        For bIndex = 0 To 15
'            subChStr = bIndex
'            lRetVal_LOCAL = GetPrivateProfileString("CHAN2", subChStr, "", strIniString, 8, "CHoffset.ini")
'            dblOffsetVoltages(2, bIndex) = CDbl(strIniString)
'            If dblOffsetVoltages(2, bIndex) <> 0# Then fAllOffsetsAreZero_TOM = False
'        Next bIndex
'        For bIndex = 0 To 15
'            subChStr = bIndex
'            lRetVal_LOCAL = GetPrivateProfileString("CHAN3", subChStr, "", strIniString, 8, "CHoffset.ini")
'            dblOffsetVoltages(3, bIndex) = CDbl(strIniString)
'            If dblOffsetVoltages(3, bIndex) <> 0# Then fAllOffsetsAreZero_TOM = False
'        Next bIndex
'        For bIndex = 0 To 15
'            subChStr = bIndex
'            lRetVal_LOCAL = GetPrivateProfileString("CHAN4", subChStr, "", strIniString, 8, "CHoffset.ini")
'            dblOffsetVoltages(4, bIndex) = CDbl(strIniString)
'            If dblOffsetVoltages(4, bIndex) <> 0# Then fAllOffsetsAreZero_TOM = False
'        Next bIndex
'        For bIndex = 0 To 15
'            subChStr = bIndex
'            lRetVal_LOCAL = GetPrivateProfileString("CHAN5", subChStr, "", strIniString, 8, "CHoffset.ini")
'            dblOffsetVoltages(5, bIndex) = CDbl(strIniString)
'            If dblOffsetVoltages(5, bIndex) <> 0# Then fAllOffsetsAreZero_TOM = False
'        Next bIndex
'    Else
'        subChStr = 0
'        lRetVal_LOCAL = GetPrivateProfileString("CHAN0", subChStr, "", strIniString, 9, "CHoffset.ini")
'        dblOffsetVoltages(0, 0) = CDbl(strIniString)
'
'        lRetVal_LOCAL = GetPrivateProfileString("CHAN1", subChStr, "", strIniString, 9, "CHoffset.ini")
'        dblOffsetVoltages(0, 1) = CDbl(strIniString)
'
'        lRetVal_LOCAL = GetPrivateProfileString("CHAN2", subChStr, "", strIniString, 9, "CHoffset.ini")
'        dblOffsetVoltages(0, 2) = CDbl(strIniString)
'
'        lRetVal_LOCAL = GetPrivateProfileString("CHAN3", subChStr, "", strIniString, 9, "CHoffset.ini")
'        dblOffsetVoltages(0, 3) = CDbl(strIniString)
'
'        lRetVal_LOCAL = GetPrivateProfileString("CHAN4", subChStr, "", strIniString, 9, "CHoffset.ini")
'        dblOffsetVoltages(0, 4) = CDbl(strIniString)
'
'        lRetVal_LOCAL = GetPrivateProfileString("CHAN5", subChStr, "", strIniString, 9, "CHoffset.ini")
'        dblOffsetVoltages(0, 5) = CDbl(strIniString)
'    End If
'
'    Dim fRetVal As Boolean
'
'    'If all entries in the offset file are zero, then uncheck the use offset checkbox
'    If fAllOffsetsAreZero_TOM = True Then
'        frmGraphTextVolts.txtUsingOffsetVoltage.Text = "NOT using offset voltage"
'        bUseOffsetVoltages = 0
'    Else
'        frmGraphTextVolts.txtUsingOffsetVoltage.Text = "USING offset voltage"
'        bUseOffsetVoltages = True
'    End If
'
'    ReadIniFileSpecs_CHoffsets = True
'    GoTo EXIT1
'
'EXIT_ERR:
'    MsgBox vbCrLf & "Failed to read  CHOffset.ini" & vbCrLf & vbCrLf & "Locate file and place in  Windows  directory." & vbCrLf & vbCrLf & "Or inspect for incorrect data format" & vbCrLf & vbCrLf
'    ReadIniFileSpecs_CHoffsets = False
'EXIT1:
'    On Error GoTo 0
'End Function
'Public Function WriteIniFileSpecs_CHoffsets_CurChan() As Boolean
'    Dim lRetVal_LOCAL As Long
'    Dim bIndex As Byte
'    Dim strIniString As String: strIniString = String(32, vbNullChar)
'    Dim subChStr As String
'
'    Dim dblVoltsTemp As Double
'    If CheckIniExist_CHoffsets = False Then GoTo EXIT_ERR
'
'    On Error GoTo EXIT_ERR
'    Dim strChOffsetVoltage As String
'
'    If frmGraph_EMF16.chkSimplifiedMode.Value = vbUnchecked Then
'        For bIndex = 0 To 15
'            strChOffsetVoltage = Format$(str(dblOffsetVoltages(0, bIndex)), "##.000000")
'            subChStr = bIndex
'            lRetVal_LOCAL = WritePrivateProfileString("CHAN0", subChStr, strChOffsetVoltage, "CHoffset.ini")
'        Next bIndex
'        For bIndex = 0 To 15
'            strChOffsetVoltage = Format$(str(dblOffsetVoltages(1, bIndex)), "##.000000")
'            subChStr = bIndex
'            lRetVal_LOCAL = WritePrivateProfileString("CHAN1", subChStr, strChOffsetVoltage, "CHoffset.ini")
'        Next bIndex
'        For bIndex = 0 To 15
'            strChOffsetVoltage = Format$(str(dblOffsetVoltages(2, bIndex)), "##.000000")
'            subChStr = bIndex
'            lRetVal_LOCAL = WritePrivateProfileString("CHAN2", subChStr, strChOffsetVoltage, "CHoffset.ini")
'        Next bIndex
'        For bIndex = 0 To 15
'            strChOffsetVoltage = Format$(str(dblOffsetVoltages(3, bIndex)), "##.000000")
'            subChStr = bIndex
'            lRetVal_LOCAL = WritePrivateProfileString("CHAN3", subChStr, strChOffsetVoltage, "CHoffset.ini")
'        Next bIndex
'        For bIndex = 0 To 15
'            strChOffsetVoltage = Format$(str(dblOffsetVoltages(4, bIndex)), "##.000000")
'            subChStr = bIndex
'            lRetVal_LOCAL = WritePrivateProfileString("CHAN4", subChStr, strChOffsetVoltage, "CHoffset.ini")
'        Next bIndex
'        For bIndex = 0 To 15
'            strChOffsetVoltage = Format$(str(dblOffsetVoltages(5, bIndex)), "##.000000")
'            subChStr = bIndex
'            lRetVal_LOCAL = WritePrivateProfileString("CHAN5", subChStr, strChOffsetVoltage, "CHoffset.ini")
'        Next bIndex
'    Else
'        subChStr = 0
'        If (m30x.tScan = SINGLE_CHAN_SCAN) Or (m30x.tScan = SINGLE_CHAN_DIGIN_SCAN) Then
'            If bDisplayChan = 0 Then
'                strChOffsetVoltage = Format$(str(dblOffsetVoltages(0, 0)), "##.000000")
'                lRetVal_LOCAL = WritePrivateProfileString("CHAN0", subChStr, strChOffsetVoltage, "CHoffset.ini")
'            End If
'            If bDisplayChan = 1 Then
'                strChOffsetVoltage = Format$(str(dblOffsetVoltages(0, 1)), "##.000000")
'                lRetVal_LOCAL = WritePrivateProfileString("CHAN1", subChStr, strChOffsetVoltage, "CHoffset.ini")
'            End If
'            If bDisplayChan = 2 Then
'                strChOffsetVoltage = Format$(str(dblOffsetVoltages(0, 2)), "##.000000")
'                lRetVal_LOCAL = WritePrivateProfileString("CHAN2", subChStr, strChOffsetVoltage, "CHoffset.ini")
'            End If
'            If bDisplayChan = 3 Then
'                strChOffsetVoltage = Format$(str(dblOffsetVoltages(0, 3)), "##.000000")
'                lRetVal_LOCAL = WritePrivateProfileString("CHAN3", subChStr, strChOffsetVoltage, "CHoffset.ini")
'            End If
'            If bDisplayChan = 4 Then
'                strChOffsetVoltage = Format$(str(dblOffsetVoltages(0, 4)), "##.000000")
'                lRetVal_LOCAL = WritePrivateProfileString("CHAN4", subChStr, strChOffsetVoltage, "CHoffset.ini")
'            End If
'            If bDisplayChan = 5 Then
'                strChOffsetVoltage = Format$(str(dblOffsetVoltages(0, 5)), "##.000000")
'                lRetVal_LOCAL = WritePrivateProfileString("CHAN5", subChStr, strChOffsetVoltage, "CHoffset.ini")
'            End If
'
'        Else
'            strChOffsetVoltage = Format$(str(dblOffsetVoltages(0, 0)), "##.000000")
'            lRetVal_LOCAL = WritePrivateProfileString("CHAN0", subChStr, strChOffsetVoltage, "CHoffset.ini")
'
'            strChOffsetVoltage = Format$(str(dblOffsetVoltages(0, 1)), "##.000000")
'            lRetVal_LOCAL = WritePrivateProfileString("CHAN1", subChStr, strChOffsetVoltage, "CHoffset.ini")
'
'            strChOffsetVoltage = Format$(str(dblOffsetVoltages(0, 2)), "##.000000")
'            lRetVal_LOCAL = WritePrivateProfileString("CHAN2", subChStr, strChOffsetVoltage, "CHoffset.ini")
'
'            strChOffsetVoltage = Format$(str(dblOffsetVoltages(0, 3)), "##.000000")
'            lRetVal_LOCAL = WritePrivateProfileString("CHAN3", subChStr, strChOffsetVoltage, "CHoffset.ini")
'
'            strChOffsetVoltage = Format$(str(dblOffsetVoltages(0, 4)), "##.000000")
'            lRetVal_LOCAL = WritePrivateProfileString("CHAN4", subChStr, strChOffsetVoltage, "CHoffset.ini")
'
'            strChOffsetVoltage = Format$(str(dblOffsetVoltages(0, 5)), "##.000000")
'            lRetVal_LOCAL = WritePrivateProfileString("CHAN5", subChStr, strChOffsetVoltage, "CHoffset.ini")
'        End If
'
'    End If
'
'    WriteIniFileSpecs_CHoffsets_CurChan = True
'    GoTo EXIT1
'
'EXIT_ERR:
'    MsgBox vbCrLf & "Failed to write  CHOffset.ini" & vbCrLf & vbCrLf & "Locate file and place in  Windows  directory." & vbCrLf & vbCrLf & "Or inspect for incorrect data format" & vbCrLf & vbCrLf
'    WriteIniFileSpecs_CHoffsets_CurChan = False
'EXIT1:
'    On Error GoTo 0
'End Function
'Public Function WriteIniFileSpecs_CHoffsets_SetAllZero_TOM() As Boolean
''Zero every channel in the entire offset file whenever the zero offset button
'' is pressed, and then afterwards uncheck the "use offset" checkbox
'
'    Dim lRetVal_LOCAL As Long
'    Dim bIndex, bIndex2 As Byte
'    Dim strIniString As String: strIniString = String(32, vbNullChar)
'    Dim subChStr As String
'    Dim dblVoltsTemp As Double
'    If CheckIniExist_CHoffsets = False Then GoTo EXIT_ERR
'
'    On Error GoTo EXIT_ERR
'    Dim strChOffsetVoltage As String
'
'    For bIndex = 0 To 15
'        strChOffsetVoltage = 0
'        subChStr = bIndex
'        lRetVal_LOCAL = WritePrivateProfileString("CHAN0", subChStr, strChOffsetVoltage, "CHoffset.ini")
'    Next bIndex
'    For bIndex = 0 To 15
'        strChOffsetVoltage = 0
'        subChStr = bIndex
'        lRetVal_LOCAL = WritePrivateProfileString("CHAN1", subChStr, strChOffsetVoltage, "CHoffset.ini")
'    Next bIndex
'    For bIndex = 0 To 15
'        strChOffsetVoltage = 0
'        subChStr = bIndex
'        lRetVal_LOCAL = WritePrivateProfileString("CHAN2", subChStr, strChOffsetVoltage, "CHoffset.ini")
'    Next bIndex
'    For bIndex = 0 To 15
'        strChOffsetVoltage = 0
'        subChStr = bIndex
'        lRetVal_LOCAL = WritePrivateProfileString("CHAN3", subChStr, strChOffsetVoltage, "CHoffset.ini")
'    Next bIndex
'    For bIndex = 0 To 15
'        strChOffsetVoltage = 0
'        subChStr = bIndex
'        lRetVal_LOCAL = WritePrivateProfileString("CHAN4", subChStr, strChOffsetVoltage, "CHoffset.ini")
'    Next bIndex
'    For bIndex = 0 To 15
'        strChOffsetVoltage = 0
'        subChStr = bIndex
'        lRetVal_LOCAL = WritePrivateProfileString("CHAN5", subChStr, strChOffsetVoltage, "CHoffset.ini")
'    Next bIndex
'
'    For bIndex = 0 To 5
'        For bIndex2 = 0 To 15
'            dblOffsetVoltages(bIndex, bIndex2) = 0#
'        Next bIndex2
'    Next bIndex
'
'    'Set all offsets (main and sub chans) to zero if user presses the "zero offset" button
'    If frmGraphTextVolts.txtUsingOffsetVoltage.Text = "USING offset voltage" Then
'        frmGraphTextVolts.txtUsingOffsetVoltage.Text = "NOT using offset voltage"
'        bUseOffsetVoltages = 0
'    End If
'
'    WriteIniFileSpecs_CHoffsets_SetAllZero_TOM = True
'    GoTo EXIT1
'
'EXIT_ERR:
'    MsgBox vbCrLf & "Failed to write  CHOffset.ini" & vbCrLf & vbCrLf & "Locate file and place in  Windows  directory." & vbCrLf & vbCrLf & "Or inspect for incorrect data format" & vbCrLf & vbCrLf
'    WriteIniFileSpecs_CHoffsets_SetAllZero_TOM = False
'EXIT1:
'    On Error GoTo 0
'End Function
'

